Jump to content


Photo

Emby server on Pine64?

Pine64 Ubuntu server

  • Please log in to reply
32 replies to this topic

#21 Luke OFFLINE  

Luke

    System Architect

  • Administrators
  • 156879 posts
  • Local time: 12:23 PM

Posted 30 June 2016 - 12:26 PM

I don't know what package for mono but I'd be curious about our server beta package and how that does. thanks.



#22 curiousgally OFFLINE  

curiousgally

    Member

  • Members
  • 18 posts
  • Local time: 05:23 PM

Posted 09 October 2016 - 07:58 PM

I'm trying to install this on my pine64..have this errors.Any help is appreciated.

ubuntu@pine64:~$ sudo apt-get install emby-server
Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
emby-server : Depends: mono-runtime (>= 3.0~) but it is not going to be installed
Depends: libmono-corlib4.5-cil (>= 4.0.0~alpha1) but it is not going to be installed
Depends: libmono-microsoft-csharp4.0-cil (>= 1.0) but it is not going to be installed
Depends: libmono-posix4.0-cil (>= 4.0.0~alpha1) but it is not going to be installed
Depends: libmono-system-configuration4.0-cil (>= 4.0.0~alpha1) but it is not going to be installed
Depends: libmono-system-core4.0-cil (>= 4.0.0~alpha1) but it is not going to be installed
Depends: libmono-system-data4.0-cil (>= 4.0.0~alpha1) but it is not going to be installed
Depends: libmono-system-drawing4.0-cil (>= 3.0.6) but it is not going to be installed
Depends: libmono-system-io-compression4.0-cil (>= 3.2.1) but it is not going to be installed
Depends: libmono-system-runtime-serialization4.0-cil (>= 4.0.0~alpha1) but it is not going to be installed
Depends: libmono-system-servicemodel4.0a-cil (>= 3.2.3) but it is not going to be installed
Depends: libmono-system-transactions4.0-cil (>= 1.0) but it is not going to be installed
Depends: libmono-system-web4.0-cil (>= 2.10.3) but it is not going to be installed
Depends: libmono-system-xml-linq4.0-cil (>= 3.0.6) but it is not going to be installed
Depends: libmono-system-xml4.0-cil (>= 3.12.0) but it is not going to be installed
Depends: libmono-system4.0-cil (>= 4.0.0~alpha1) but it is not going to be installed
Depends: mono-devel (>= 1.0) but it is not going to be installed
Recommends: libembymagickwand-6.q8-2 but it is not installable
E: Unable to correct problems, you have held broken packages.

#23 curiousgally OFFLINE  

curiousgally

    Member

  • Members
  • 18 posts
  • Local time: 05:23 PM

Posted 09 October 2016 - 08:05 PM

Nevermind, looks like i need to install mono, sqlite etc..will update how it goes. Thanks.

#24 Luke OFFLINE  

Luke

    System Architect

  • Administrators
  • 156879 posts
  • Local time: 12:23 PM

Posted 09 October 2016 - 08:08 PM

Let us know how it goes, thanks !



#25 curiousgally OFFLINE  

curiousgally

    Member

  • Members
  • 18 posts
  • Local time: 05:23 PM

Posted 09 October 2016 - 08:18 PM

Should i install imagemagik as mentioned in the steps for manual..or not necessary. After I installed mono, emby server installation succeeded without any issues.
It didn't complain about sqllite3 or imagemagik.

Edited by curiousgally, 09 October 2016 - 08:19 PM.


#26 Luke OFFLINE  

Luke

    System Architect

  • Administrators
  • 156879 posts
  • Local time: 12:23 PM

Posted 09 October 2016 - 08:24 PM

If you're just playing around you can go without it for now. If this is going to be used and depended on then you'll need it. Without it the server will not be able to resize images, which means the images that get sent back to the client apps might in some cases to be too large to handle.



#27 curiousgally OFFLINE  

curiousgally

    Member

  • Members
  • 18 posts
  • Local time: 05:23 PM

Posted 09 October 2016 - 08:36 PM

Cool thanks for the info..This was quick, I see my server running now. The setup process wanted me to download ffmpeg x86_64 version, not sure if its the right one for pine64 since
its arm based. Nevertheless I went ahead, hope thats correct. I also see armhf build in the page: https://www.johnvansickle.com/ffmpeg/
So a little confused.

Anyways let me add my music library and see how it goes. This is my first time using emby (was using plex earlier), want to see how it goes.

For your info, I'm running a headless server of ubuntu.

Thanks for the help Luke !!!

Edited by curiousgally, 09 October 2016 - 08:37 PM.


#28 curiousgally OFFLINE  

curiousgally

    Member

  • Members
  • 18 posts
  • Local time: 05:23 PM

Posted 09 October 2016 - 11:18 PM

Ok I setup my audio library, everything looked good until I tried to play something from android phone app/android tv. It's trying to transcode mp3 files. Not sure how to avoid this.

Any help is appreciated !!!

I can play fine through web interface, its other devices android TV and my nexus phone app I have issues with.

Thanks.

Edited by curiousgally, 09 October 2016 - 11:40 PM.


#29 Luke OFFLINE  

Luke

    System Architect

  • Administrators
  • 156879 posts
  • Local time: 12:23 PM

Posted 10 October 2016 - 12:48 AM

We'd have to look at a server log to try and figure out why that might be happening:

 

https://emby.media/c...port-a-problem/

 

Thanks.



#30 curiousgally OFFLINE  

curiousgally

    Member

  • Members
  • 18 posts
  • Local time: 05:23 PM

Posted 10 October 2016 - 11:47 PM

Not sure what i did, it started working fine from my Nexus android phone. Couldn't get it to work on Android TV though, which looks to be a known issue already. So far so good. Will update my video selection too and see how it goes.



#31 Luke OFFLINE  

Luke

    System Architect

  • Administrators
  • 156879 posts
  • Local time: 12:23 PM

Posted 10 October 2016 - 11:52 PM

There is no known issue with android tv related to that. We'd have to look at a server log to try and figure out why that might be happening:

 

https://emby.media/c...port-a-problem/

 

Thanks.



#32 curiousgally OFFLINE  

curiousgally

    Member

  • Members
  • 18 posts
  • Local time: 05:23 PM

Posted 11 October 2016 - 12:31 AM

Cool I have reported the issue here: https://emby.media/c...android-tv-app/

 

I also triggered 'send logs' from within the nexus player app. Hope the details suffice.

 

Thanks.



#33 Luke OFFLINE  

Luke

    System Architect

  • Administrators
  • 156879 posts
  • Local time: 12:23 PM

Posted 19 November 2018 - 03:45 PM

Emby Server for Arm64 is now available !

 

https://emby.media/c...-now-available/

 

Thanks.







Also tagged with one or more of these keywords: Pine64, Ubuntu, server

0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users